# Generated by Django 3.2.18 on 2023-04-23 10:37

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import invoices.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('invoice', models.FileField(upload_to=invoices.models.customer_invoice_path)),
                ('invoice_number', models.SlugField(max_length=10, unique=True, verbose_name='Invoice number')),
                ('invoice_date', models.DateField(verbose_name='Invoice date')),
                ('invoice_value', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='Amount')),
                ('invoice_currency', models.PositiveSmallIntegerField(choices=[(1, 'EUR')], verbose_name='Currency')),
                ('due_date', models.DateField(verbose_name='Due date')),
                ('payment_date', models.DateField(blank=True, null=True, verbose_name='Payment date')),
                ('payment_variant', models.TextField(blank=True, null=True, verbose_name='Payment variant')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='customer')),
            ],
            options={
                'verbose_name': 'Invoice',
                'verbose_name_plural': 'Invoices',
                'ordering': ['-invoice_date', 'customer'],
            },
        ),
    ]
